<?PHP
/**
 * This file contains an exception class for usage of fully empty inputs that should not be empty.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * This file contains an exception class for usage of fully empty inputs that should not be empty.
 */
final class MDInvalidEmptyInputException extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'A value needs to be provided: ' . $this->getMessage();

    }
}
